textures/keditok_tour1/thinbrightfog_timctf1
//modified from original id shaders October 15, 2001 by keditok
//a thin bright emiiting fog
{
		qer_editorimage textures/sfx/fog_grey.tga
		surfaceparm	trans
		surfaceparm	nonsolid
		surfaceparm	fog
		surfaceparm	nolightmap
		q3map_surfacelight 125
		q3map_lightsubdivide 128

		fogparms ( .729 .729 .780 ) 1800

}
textures/keditok_tour1/keditok_tour1_ctfbluefog
//modified by keditok from original iD and modified shaders
{
	qer_editorimage textures/sfx/fog_blue.tga
	q3map_globaltexture
	q3map_surfacelight 100
	q3map_lightsubdivide 128

	surfaceparm	trans
	surfaceparm	nonsolid
	surfaceparm	fog
	surfaceparm	nolightmap
	qer_nocarve
	fogparms ( 0.3 0.3 0.9 ) 256

}
textures/keditok_tour1/keditok_tour1_ctfredfog
//modified by keditok from original iD and modified shaders
{
	qer_editorimage textures/sfx/fog_red.tga
	q3map_globaltexture
	q3map_surfacelight 275
	q3map_lightsubdivide 128

	surfaceparm	trans
	surfaceparm	nonsolid
	surfaceparm	fog
	surfaceparm	nolightmap
	qer_nocarve
	fogparms ( .55 .11 .1 ) 64

}
textures/keditok_tour1/litclear_calm1
//modified from original id shaders October 15, 2001 by keditok
//light emiting variant of clear_calm1
	{
		qer_editorimage textures/liquids/pool3d_3e.tga
		qer_trans .5
		q3map_globaltexture
		q3map_surfacelight 100
		surfaceparm trans
		surfaceparm nonsolid
		surfaceparm water
	
		cull disable
		deformVertexes wave 64 sin .25 .25 0 .5	
		{ 
			map textures/liquids/pool3d_5e.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod scroll .025 .01
		}
	
		{ 
			map textures/liquids/pool3d_3e.tga
			blendFunc GL_dst_color GL_one
			tcmod scale -.5 -.5
			tcmod scroll .025 .025
		}

	
		{
			map $lightmap
			blendFunc GL_dst_color GL_zero
			rgbgen identity		
		}
	
	

}
textures/keditok_tour1/transparentpjgrate1
//modified from original id shaders October 15, 2001 by keditok
//transparent pjgrate for lighting
{
	qer_editorimage textures/base_floor/pjgrate1.tga
	surfaceparm trans
	surfaceparm	metalsteps		
	cull none

	// A GRATE OR GRILL THAT CAN BE SEEN FROM BOTH SIDES
	{
		map textures/base_floor/pjgrate1.tga
		tcMod scale 2 2
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}
textures/keditok_tour1/geolightdimmer
////modified from original id shaders by keditok
{
	qer_editorimage textures/base_light/geolight.tga
	q3map_lightimage textures/base_light/geolight_glow.tga
	surfaceparm nomarks
	q3map_surfacelight 1000
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/base_light/geolight.tga
		blendFunc GL_DST_COLOR GL_SRC_ALPHA
		rgbGen identity
		alphaGen lightingSpecular
	}
        {
		map textures/base_light/geolight_glow.tga
		blendFunc add
		rgbgen wave sin .575 .025 0 10
	}
	
}
textures/keditok_tour1/clangdark_bouncebrighter
//modified from original id shaders November 10, 2001 by keditok
{
	surfaceparm nodamage
	q3map_lightimage textures/sfx/jumppadsmall.tga	
	q3map_surfacelight 500
	qer_editorimage textures/sfx/clangdark_bounce.tga
	
	{
		map textures/sfx/clangdark_bounce.tga
		rgbGen identity
	}
	
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	
	{
		map textures/sfx/bouncepad01b_layer1.tga
		blendfunc gl_one gl_one
		rgbGen wave sin .5 .5 0 1.5	
	}

	{
		clampmap textures/sfx/jumppadsmall.tga
		blendfunc gl_one gl_one
		tcMod stretch sin 1.2 .8 0 1.5
		rgbGen wave square .5 .5 .25 1.5
	}

}
textures/keditok_tour1/atech1_alphasurfacelight
//modified from original id shaders November 10, 2001 by keditok
{
	q3map_lightimage textures/sfx/hologirl.tga
	q3map_surfacelight 100
	qer_editorimage textures/base_wall/atech1_alpha.tga
        
	{
		map textures/sfx/hologirl.tga
                tcmod scale 2 .4
                tcmod scroll 6 .6
                //tcMod turb 0 .1 0 .01
                blendFunc GL_ONE GL_ZERO
                rgbGen identity
	}
	{
		map textures/base_wall/atech1_alpha.tga
                blendfunc blend
                rgbGen identity
	}
        {
		map $lightmap
		rgbGen identity
		blendFunc filter
	}

}
textures/keditok_tour1/panel_glosurfacelight
//modified from original id shaders November 10, 2001 by keditok
{   
	q3map_lightimage textures/sfx/firegorre2.tga
	q3map_surfacelight 100
	qer_editorimage textures/base_trim/panel_glo.tga

        {
                map textures/sfx/firegorre2.tga       
                
                tcMod turb 0 .6 0 0.06
                tcmod scale .53 .61
                tcmod scroll 0 4
                blendFunc GL_ONE GL_ZERO
                rgbGen wave sin 1 1 0 .1
	}   
        {
		map textures/base_trim/panel_glo.tga
                blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	} 
        {
		map $lightmap
                blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}
textures/keditok_tour1/grenbuttondec
//edited and modified original texture from id, with thanks to SPoG for help making the decal script here
{
		qer_editorimage models/powerups/ammo/grenammo2.tga
		surfaceparm	nomarks //no marks appear on surface
	      surfaceparm	trans //surface casts no shadows
		surfaceparm	nonsolid //brush has nonsolid contents
		surfaceparm	nolightmap //no lightmap generated for surface	
		polygonOffset // always draws the polygon on top of the surface it shares a plane with	
	{		
		map models/powerups/ammo/grenammo2.tga
		blendFunc add //source + destination blend	
	}
}
textures/keditok_tour1/pumdecalflash
//edited and modified original texture from id, with thanks to SPoG for help making the decal scropt here
{
		qer_editorimage textures/base_wall/medal_gauntlet.tga
		surfaceparm	nomarks //no marks appear on surface
	      surfaceparm	trans //surface casts no shadows
		surfaceparm	nonsolid //brush has nonsolid contents
		surfaceparm	nolightmap //no lightmap generated for surface	
		polygonOffset // always draws the polygon on top of the surface it shares a plane with	
	{		
		map textures/base_wall/medal_gauntlet.tga
		blendFunc add //source + destination blend
		rgbGen wave sin 0.2 1 0 .3
	
	}
}

